I am attempting to build r100 on Mono on my Mac and getting an error I have not seen before.&nbsp; I have followed the instructions and used the provided patch.&nbsp;&nbsp; Here is what I get:<br><br>rbazinet: ~$ rake --trace compile mono=1<br>
rake aborted!<br>No Rakefile found (looking for: rakefile, Rakefile, rakefile.rb, Rakefile.rb)<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:2143:in `raw_load_rakefile&#39;<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1897:in `load_rakefile&#39;<br>
/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling&#39;<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1896:in `load_rakefile&#39;<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1880:in `run&#39;<br>
/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in `standard_exception_handling&#39;<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:in `run&#39;<br>/Library/Ruby/Gems/1.8/gems/rake-0.8.1/bin/rake:31<br>
/usr/bin/rake:19:in `load&#39;<br>/usr/bin/rake:19<br><br>Is this just some dumb I am missing?<br><br>Thanks,<br>&nbsp;&nbsp; Rob Bazinet<br><br><br><div class="gmail_quote">On Tue, May 6, 2008 at 11:15 PM, Sanghyeon Seo &lt;<a href="mailto:sanxiyn@gmail.com">sanxiyn@gmail.com</a>&gt; wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">WARNING: This is against revision 100. Revision 101 will compile, but<br>
will not run on Mono at the time. I am still working on it. In case<br>
you didn&#39;t know, you can use &quot;svn update -r 100&quot; to &quot;update&quot; to<br>
not-the-latest version.<br>
<br>
Stuffs are in the usual place:<br>
<a href="http://sparcs.kaist.ac.kr/%7Etinuviel/download/IronRuby/" target="_blank">http://sparcs.kaist.ac.kr/~tinuviel/download/IronRuby/</a><br>
<br>
patch-mono-r100 consists of four different things:<br>
<br>
1. One-line case-sensitivity patch to Rakefile.<br>
2. Workaround for long-standing console problem.<br>
3. Workaround for Mono bug #387040, by changing explicit interface<br>
implementations to implicit one.<br>
4. Workaround for Mono bug #387502, by rewriting ?? operator with if<br>
statement. This is a SVN regression and you don&#39;t need it if you are<br>
using Mono 1.9.<br>
<br>
Links to Mono bugs:<br>
<a href="https://bugzilla.novell.com/show_bug.cgi?id=387040" target="_blank">https://bugzilla.novell.com/show_bug.cgi?id=387040</a><br>
<a href="https://bugzilla.novell.com/show_bug.cgi?id=387502" target="_blank">https://bugzilla.novell.com/show_bug.cgi?id=387502</a><br>
<br>
P.S. DLR, IronPython, IronRuby team should create C# compiler test<br>
suite! You guys have the talent!<br>
<font color="#888888"><br>
--<br>
Seo Sanghyeon<br>
_______________________________________________<br>
Ironruby-core mailing list<br>
<a href="mailto:Ironruby-core@rubyforge.org">Ironruby-core@rubyforge.org</a><br>
<a href="http://rubyforge.org/mailman/listinfo/ironruby-core" target="_blank">http://rubyforge.org/mailman/listinfo/ironruby-core</a><br>
</font></blockquote></div><br><br clear="all"><br>-- <br>Rob Bazinet<br>InfoQ Ruby and .NET Editor<br><a href="http://www.accidentaltechnologist.com">http://www.accidentaltechnologist.com</a><br>